PDA

View Full Version : EmuDevs Mercenary System



Tommy
09-17-2015, 11:47 PM
Public release is here! While this is still under development, this system is working and people can enjoy it.

What is this Mercenary System?
The Mercenary System for TrinityCore and MaNGOS (mangostwo (https://github.com/mangostwo/)) is intended as a follower type system for your character. You will be able to gear your Mercenary fully, like you can your own character. Mercenaries will be a bit more powerful than your character for strategically soloing most content. Interact with your Mercenary, changing its skills, name and more.

Here's a short video of it in action:

https://www.youtube.com/watch?v=LlbVSgvzQB0

How did this project start?
I asked for ideas on a project to work on and Foereaper came up with this idea, and we (+Rochet2) made it happen. This project has been in development (off/on) since Apr. 2014.

What expansion and patch does this project support?
Currently only for WotLK 3.3.5.

Will I be able to equip my Mercenary with rings, trinkets, necklace, wrist, waist, cloak, tabard, shirt?
Yes. Overtime they will be added. Right now Mercenaries can only equip major equipment (weapons, chest, legs, etc).

Are there class and level equip restrictions?
Yes. If your Mercenary is too low of level for an item they will not be able to equip that item until they are higher level. For mercenaries to equip certain Armor/Weapons, those are set in the mercenary_proficiencies table.

Will stats on items increase my Mercenary's toughness?
Yes. Any armor/weapon will increase your Mercenary's stats, given the item has stats on it.

Are there anymore planned features?
Yes. Some features are being thought up, but below you will see what we have in store.

Planned Features
https://github.com/EmuDevs/Mercenary/issues/6

This system is still under development. Help us by reporting issues (http://emudevs.com/forumdisplay.php/312-Support).

Follow us on EmuDevs Twitter (https://twitter.com/EmuDevs) page for news.
Subscribe on EmuDevs Youtube (https://www.youtube.com/user/EmuDevs) channel for videos of this project.

Links


- Source (https://github.com/EmuDevs/Mercenary)
- Changelog (https://github.com/EmuDevs/Mercenary/blob/master/changelog.txt)
- Wiki (https://github.com/EmuDevs/Mercenary/wiki)
- Eluna (https://github.com/ElunaLuaEngine/Eluna)
- TrinityCore 3.3.5 Installation (https://github.com/EmuDevs/Mercenary/wiki/TrinityCore-3.3.5-Installation) | mangostwo Installation (https://github.com/EmuDevs/Mercenary/wiki/MaNGOS-%28mangostwo%29-Installation) | Eluna TrinityCore WotLK Installation (https://github.com/EmuDevs/Mercenary/wiki/Eluna-TrinityCore-WotLK-Installation)

Tommy
01-29-2016, 03:52 AM
Updated. You can now set armor & weapon proficiencies for your Mercenary in the new mercenary_proficiencies table. This allows users to set which Mercenary type can equip.

View commit (https://github.com/EmuDevs/Mercenary/commit/00aa81ccc8d7ad3f4f5297238584bbb7e0647b9e) or changelog (https://github.com/EmuDevs/Mercenary/blob/master/changelog.txt).
View Mercenary Equipment (https://github.com/EmuDevs/Mercenary/wiki/Mercenary-Equipment) on the wiki.

hadifaren
07-08-2016, 06:25 PM
hi,
i downloaded this file
https://github.com/EmuDevs/Mercenary
and put every thing in source & sql file & diff
then compiled everything compiled without error but now when i want to run worldserver.exe it says


TrinityCore rev. unknown 1970-01-01 00:00:00 +0000 (Archived branch) (Win32, RelWithDebInfo, Static) (worldserver-daemon)
<Ctrl-C> to stop.

Using configuration file G:/src files/3.3.5/bin/RelWithDebInfo/worldserver.conf.
Using SSL version: OpenSSL 1.0.2e 3 Dec 2015 (library: OpenSSL 1.0.0c 2 Dec 2010)
Using Boost version: 1.57.0
Updating Auth database...
>> Auth database is up-to-date! Containing 3 new and 10 archived updates.
Updating Character database...
>> Character database is up-to-date! Containing 1 new and 15 archived updates.
Updating World database...
>> World database is up-to-date! Containing 239 new and 1206 archived updates.
Could not prepare statements of the Character database, see log for details.

and close what should i do?

srry if i sumbit my question in wrong section

Tommy
07-08-2016, 09:52 PM
hi,
i downloaded this file
https://github.com/EmuDevs/Mercenary
and put every thing in source & sql file & diff
then compiled everything compiled without error but now when i want to run worldserver.exe it says


TrinityCore rev. unknown 1970-01-01 00:00:00 +0000 (Archived branch) (Win32, RelWithDebInfo, Static) (worldserver-daemon)
<Ctrl-C> to stop.

Using configuration file G:/src files/3.3.5/bin/RelWithDebInfo/worldserver.conf.
Using SSL version: OpenSSL 1.0.2e 3 Dec 2015 (library: OpenSSL 1.0.0c 2 Dec 2010)
Using Boost version: 1.57.0
Updating Auth database...
>> Auth database is up-to-date! Containing 3 new and 10 archived updates.
Updating Character database...
>> Character database is up-to-date! Containing 1 new and 15 archived updates.
Updating World database...
>> World database is up-to-date! Containing 239 new and 1206 archived updates.
Could not prepare statements of the Character database, see log for details.

and close what should i do?

srry if i sumbit my question in wrong section

Did you run the SQL query in your character database?

hadifaren
07-09-2016, 12:32 PM
yes i runed without error
im using TDB61 with last updated source from github

Tommy
07-09-2016, 03:40 PM
yes i runed without error
im using TDB61 with last updated source from github

I'll look into this tonight or tomorrow and see if I can replicate this issue to try and fix it. Thanks!

Vitrex
07-09-2016, 06:44 PM
WOW :O

Vitrex
07-12-2016, 10:45 AM
one question, can i use this script and edit for my purposes , but leave all the copyrights in my public project ? :)

Tommy
07-12-2016, 03:16 PM
one question, can i use this script and edit for my purposes , but leave all the copyrights in my public project ? :)

Mercenary System is a public project, do whatever you want to it. Leaving credits is another plus, so yes.